MACRO BOOST_(3)

NAME
BOOST_PROTO_EXTENDS_ASSIGN - For adding to an expression extension class an overloaded assignment operator that builds an expression template.

SYNOPSIS

// In header: <boost/proto/extends.hpp>
BOOST_PROTO_EXTENDS_ASSIGN()

DESCRIPTION

Use BOOST_PROTO_EXTENDS_ASSIGN() after BOOST_PROTO_BASIC_EXTENDS() to give an expression extension class an overloaded assignment operator that builds an expression template.

See also:

    &#8226; BOOST_PROTO_BASIC_EXTENDS().RE

        &#8226; BOOST_PROTO_EXTENDS_SUBSCRIPT().RE

            &#8226; BOOST_PROTO_EXTENDS_FUNCTION().RE

                &#8226; BOOST_PROTO_EXTENDS().RE